apiVersion: oadp.openshift.io/v1alpha1
kind: DataProtectionApplication
metadata:
  annotations:
    oadp.openshift.io/unsupported-node-agent-server-args: node-agent-settings
    oadp.openshift.io/unsupported-velero-server-args: velero-settings
    veleroforoadp14: 'cp.icr.io/cp/bnr/fbr-velero@sha256:8c061976ed0e470e5748582a03a3f026a122d8483ba1b46bff807b485bab3a41'
    veleroforoadp15: 'cp.icr.io/cp/bnr/fbr-velero15@sha256:2612a0addf5eaa394767b396006fa3e725e781cf8a06b562ed66dc341106dd69'
  resourceVersion: '4591989'
  name: velero
  uid: 7487ec0f-afbd-46be-8817-409a968b6886
  creationTimestamp: '2025-07-19T16:21:39Z'
  generation: 5
  managedFields:
    - apiVersion: oadp.openshift.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
      manager: manager
      operation: Update
      subresource: status
      time: '2025-07-19T16:21:39Z'
    - apiVersion: oadp.openshift.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:oadp.openshift.io/unsupported-node-agent-server-args': {}
            'f:oadp.openshift.io/unsupported-velero-server-args': {}
            'f:veleroforoadp14': {}
            'f:veleroforoadp15': {}
          'f:labels':
            .: {}
            'f:app.kubernetes.io/component': {}
            'f:app.kubernetes.io/name': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"1d81e141-0a0b-4043-a9d9-195a9511da59"}': {}
        'f:spec':
          .: {}
          'f:backupImages': {}
          'f:configuration':
            .: {}
            'f:nodeAgent':
              .: {}
              'f:enable': {}
              'f:podConfig':
                .: {}
                'f:labels':
                  .: {}
                  'f:app.kubernetes.io/component': {}
                  'f:app.kubernetes.io/instance': {}
                  'f:app.kubernetes.io/managed-by': {}
                  'f:app.kubernetes.io/name': {}
                  'f:openshift.io/oadp': {}
                'f:resourceAllocations':
                  .: {}
                  'f:limits':
                    .: {}
                    'f:cpu': {}
                    'f:ephmeral-storage': {}
                    'f:memory': {}
                  'f:requests':
                    .: {}
                    'f:cpu': {}
                    'f:ephemeral-storage': {}
                    'f:memory': {}
              'f:uploaderType': {}
            'f:velero':
              .: {}
              'f:args':
                .: {}
                'f:default-repo-maintain-frequency': {}
                'f:log-format': {}
              'f:customPlugins': {}
              'f:defaultPlugins': {}
              'f:disableFsBackup': {}
              'f:logLevel': {}
              'f:podConfig':
                .: {}
                'f:labels':
                  .: {}
                  'f:app.kubernetes.io/part-of': {}
                'f:resourceAllocations':
                  .: {}
                  'f:limits':
                    .: {}
                    'f:cpu': {}
                    'f:ephemeral-storage': {}
                    'f:memory': {}
                  'f:requests':
                    .: {}
                    'f:cpu': {}
                    'f:ephemeral-storage': {}
                    'f:memory': {}
          'f:logFormat': {}
          'f:podDnsConfig': {}
          'f:unsupportedOverrides':
            .: {}
            'f:veleroImageFqin': {}
      manager: manager
      operation: Update
      time: '2025-07-19T16:22:13Z'
    - apiVersion: oadp.openshift.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:backupLocations': {}
          'f:configuration':
            'f:velero':
              'f:noDefaultBackupLocation': {}
      manager: OpenAPI-Generator
      operation: Update
      time: '2025-07-22T17:14:42Z'
  namespace: ibm-bnr
  ownerReferences:
    - apiVersion: dataprotectionagent.idp.ibm.com/v1
      kind: DataProtectionAgent
      name: dpagent
      uid: 1d81e141-0a0b-4043-a9d9-195a9511da59
  labels:
    app.kubernetes.io/component: velero
    app.kubernetes.io/name: guardian
spec:
  backupImages: false
  backupLocations:
    - name: guardian-minio
      velero:
        accessMode: ReadWrite
        backupSyncPeriod: 30s
        config:
          publicUrl: 'https://172.30.251.203:9000'
          region: minio
          s3ForcePathStyle: 'true'
          s3Url: 'https://guardian-minio-svc.ibm-bnr.svc:9000'
        credential:
          key: cloud
          name: cloud-credentials
        default: true
        objectStorage:
          bucket: velero
          caCert: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURVVENDQWptZ0F3SUJBZ0lJTGtvNUVEM3E4WkF3RFFZSktvWklodmNOQVFFTEJRQXdOakUwTURJR0ExVUUKQXd3cmIzQmxibk5vYVdaMExYTmxjblpwWTJVdGMyVnlkbWx1WnkxemFXZHVaWEpBTVRjMU1qYzNPREkwTlRBZQpGdzB5TlRBM01UY3hPRFV3TkRWYUZ3MHlOekE1TVRVeE9EVXdORFphTURZeE5EQXlCZ05WQkFNTUsyOXdaVzV6CmFHbG1kQzF6WlhKMmFXTmxMWE5sY25acGJtY3RjMmxuYm1WeVFERTNOVEkzTnpneU5EVXdnZ0VpTUEwR0NTcUcKU0liM0RRRUJBUVVBQTRJQkR3QXdnZ0VLQW9JQkFRQ29mcTBrd3F5THpHQStod28zbGY1dDVzdy8zc0RWTEx1dApYTjlCWncwUE5JQy9UeHRzM2pMbE1VQjRPblBKUWljc1d3YUllVG5oTjEvc3RONGQyVVVETW51VlpyR0pUd2VtCjlKenVSZkpTR0pHS2ZvWXRTREdKWTl6b00xSGZBVUpEYWMyaDNlcTRXT2srUElKVVdxUHpZMTQ2djlKWWFNVTQKTUNQNyszNERjUmtqZVI5N2xiNUZDR0ZhYUFGZllMRmJENjNPK1ZycHV3Y1dmSXlFSUN5NEl5QWorTnlRL0dwUworZHBIamtHcldmMjRBRDM2R256bHcxU1VXYTVhNThoMUcxN2xIZ2Q5aVZjd3duMTd4dGU0bXY4MnlYd1VxL2VWCmJnaVRhc2F0OWNJRVRtYmpmeVA0bmt2aGRzQ0pkWDFXckxzSWF3NnZzTU0xaE9qTWlmNXJBZ01CQUFHall6QmgKTUE0R0ExVWREd0VCL3dRRUF3SUNwREFQQmdOVkhSTUJBZjhFQlRBREFRSC9NQjBHQTFVZERnUVdCQlRTWTZrUwp4aTlrQjJuSjV6THBOdndBL3pZdUd6QWZCZ05WSFNNRUdEQVdnQlRTWTZrU3hpOWtCMm5KNXpMcE52d0Evell1Ckd6QU5CZ2txaGtpRzl3MEJBUXNGQUFPQ0FRRUFhTzIvSVdURDlZbzVtWmF4TU5qaUxkYWl3UHpDSXZwdWJkby8KSmxPYmducTlic2M5alBTSU1seFJNZ2dIR1FlRnVMQnZOU1pDVE1hTTZWZTNVdndKS2E2bVlhWEZiQXN2WUNQQQpUUVN6bmgyYjd0SGRUSWpLZ2M3NVFML2J3UElsRE80VjhLL0IyaGdjT1B0Z3pnSkUveFc2M3hZQTRFSzdTc0FzCnNQNzJkQWFQdS9iNFBoTXJvY2UzVWhlV1FtM1h0L0dKNCtoMjlWZ2c3SGhZc2NQNFNtUFpubGhWaXc4cWxibDcKWkZwU0pDK0l0ZDBwODlvYnFRR3Z0bHdIQXlwZTF6K2J4R1ZnSmo1M2FablVpRnptTzRkb3VLcXF2WjJSVThQNgplTzEwbUl3U3p0VDNKclAyT3BWS2trMnNPVTUxdi9LK2p1QW9DeVFxSERjQ1J2d0JEZz09Ci0tLS0tRU5EIENFUlRJRklDQVRFLS0tLS0K
        provider: aws
    - name: 76e8c51b-acec-4780-bdd8-e03390d23149
      velero:
        accessMode: ReadWrite
        backupSyncPeriod: 30s
        config:
          resourceGroup: 2cf481e7-9a88-4875-bb46-899853a587e1/76e8c51b-acec-4780-bdd8-e03390d23149
          storageAccount: dpcos1
          storageAccountKeyEnvVar: storage_account_access_key
          storageAccountURI: 'https://dpcos1.blob.core.windows.net'
        credential:
          key: cloud
          name: 76e8c51b-acec-4780-bdd8-e03390d23149-secret
        default: false
        objectStorage:
          bucket: dp-bucket-1
          prefix: 2cf481e7-9a88-4875-bb46-899853a587e1/76e8c51b-acec-4780-bdd8-e03390d23149
        provider: azure
    - name: 76e8c51b-acec-4780-bdd8-e03390d23149
      velero:
        accessMode: ReadWrite
        backupSyncPeriod: 30s
        config:
          region: us-west-2
          s3ForcePathStyle: 'true'
          s3Url: 'https://s3.us-west-2.amazonaws.com'
        credential:
          key: cloud
          name: 76e8c51b-acec-4780-bdd8-e03390d23149-secret
        default: false
        objectStorage:
          bucket: 2024-test-bucket1
          prefix: 2cf481e7-9a88-4875-bb46-899853a587e1/76e8c51b-acec-4780-bdd8-e03390d23149
        provider: aws
  configuration:
    nodeAgent:
      enable: true
      podConfig:
        labels:
          app.kubernetes.io/component: server
          app.kubernetes.io/instance: velero
          app.kubernetes.io/managed-by: oadp-operator
          app.kubernetes.io/name: velero
          openshift.io/oadp: 'True'
        resourceAllocations:
          limits:
            cpu: '2'
            ephmeral-storage: 250Mi
            memory: 2Gi
          requests:
            cpu: 500m
            ephemeral-storage: 50Mi
            memory: 1Gi
      uploaderType: kopia
    velero:
      args:
        default-repo-maintain-frequency: 14400000000000
        log-format: json
      customPlugins:
        - image: 'cp.icr.io/cp/bnr/guardian-kubevirt-velero-plugin@sha256:7a1ea86b2f627b15277ef6f6dfe4de1a0a1d129af702dee80dbee082fd3a8fed'
          name: isf-kubevirt
      defaultPlugins:
        - openshift
        - aws
        - azure
      disableFsBackup: false
      logLevel: info
      noDefaultBackupLocation: false
      podConfig:
        labels:
          app.kubernetes.io/part-of: ibm-backup-restore
        resourceAllocations:
          limits:
            cpu: '2'
            ephemeral-storage: 500Mi
            memory: 2Gi
          requests:
            cpu: 200m
            ephemeral-storage: 300Mi
            memory: 256Mi
  logFormat: text
  podDnsConfig: {}
  unsupportedOverrides:
    veleroImageFqin: 'cp.icr.io/cp/bnr/fbr-velero15@sha256:2612a0addf5eaa394767b396006fa3e725e781cf8a06b562ed66dc341106dd69'
status:
  conditions:
    - lastTransitionTime: '2025-07-19T16:21:39Z'
      message: Reconcile complete
      reason: Complete
      status: 'True'
      type: Reconciled
